Failed

tests.modules.check_comics.test_comicmodule[TheGamerCat] (from pytest)

Failing for the past 164 builds (Since #635 )
Took 3.5 sec.

Error Message

requests.exceptions.ChunkedEncodingError: ("Connection broken: InvalidChunkLength(got length b'', 0 bytes read)", InvalidChunkLength(got length b'', 0 bytes read))

Stacktrace

/tmp/home/.local/lib/python3.10/site-packages/urllib3/response.py:700: in _update_chunk_length
    self.chunk_left = int(line, 16)
E   ValueError: invalid literal for int() with base 16: b''

During handling of the above exception, another exception occurred:
/tmp/home/.local/lib/python3.10/site-packages/urllib3/response.py:441: in _error_catcher
    yield
/tmp/home/.local/lib/python3.10/site-packages/urllib3/response.py:767: in read_chunked
    self._update_chunk_length()
/tmp/home/.local/lib/python3.10/site-packages/urllib3/response.py:704: in _update_chunk_length
    raise InvalidChunkLength(self, line)
E   urllib3.exceptions.InvalidChunkLength: InvalidChunkLength(got length b'', 0 bytes read)

During handling of the above exception, another exception occurred:
/tmp/home/.local/lib/python3.10/site-packages/requests/models.py:816: in generate
    for chunk in self.raw.stream(chunk_size, decode_content=True):
/tmp/home/.local/lib/python3.10/site-packages/urllib3/response.py:575: in stream
    for line in self.read_chunked(amt, decode_content=decode_content):
/tmp/home/.local/lib/python3.10/site-packages/urllib3/response.py:755: in read_chunked
    with self._error_catcher():
/usr/local/lib/python3.10/contextlib.py:153: in __exit__
    self.gen.throw(typ, value, traceback)
/tmp/home/.local/lib/python3.10/site-packages/urllib3/response.py:458: in _error_catcher
    raise ProtocolError("Connection broken: %r" % e, e)
E   urllib3.exceptions.ProtocolError: ("Connection broken: InvalidChunkLength(got length b'', 0 bytes read)", InvalidChunkLength(got length b'', 0 bytes read))

During handling of the above exception, another exception occurred:
tests/modules/check_comics.py:57: in test_comicmodule
    _test_comic(str(tmpdir), scraperobj, maxstrips)
tests/modules/check_comics.py:65: in _test_comic
    for strip in scraperobj.getStrips(maxstrips):
dosagelib/scraper.py:184: in getStrips
    for strip in self.getStripsFor(url, maxstrips):
dosagelib/scraper.py:194: in getStripsFor
    data = self.getPage(url)
dosagelib/scraper.py:460: in getPage
    page = super().getPage(url)
dosagelib/scraper.py:326: in getPage
    return get_page(url, self.session, allow_errors=self.allow_errors)
dosagelib/util.py:150: in get_page
    page = urlopen(url, session, max_content_bytes=MaxContentBytes, **kwargs)
dosagelib/util.py:247: in urlopen
    req = session.request(method, url, **kwargs)
/tmp/home/.local/lib/python3.10/site-packages/requests/sessions.py:587: in request
    resp = self.send(prep, **send_kwargs)
dosagelib/http.py:53: in send
    return super(Session, self).send(request, **kwargs)
/tmp/home/.local/lib/python3.10/site-packages/requests/sessions.py:745: in send
    r.content
/tmp/home/.local/lib/python3.10/site-packages/requests/models.py:900: in content
    self._content = b"".join(self.iter_content(CONTENT_CHUNK_SIZE)) or b""
/tmp/home/.local/lib/python3.10/site-packages/requests/models.py:819: in generate
    raise ChunkedEncodingError(e)
E   requests.exceptions.ChunkedEncodingError: ("Connection broken: InvalidChunkLength(got length b'', 0 bytes read)", InvalidChunkLength(got length b'', 0 bytes read))